package com.elab.es.data;

import com.elab.es.App;
import com.elab.es.db.PostDao;
import com.elab.es.model.Posts;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2021/2/2 14:12
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {App.class})
public class EsProxyDaoTest {

    @Autowired
    PostDao postDbDao;

    @Test
    public void testQuery() throws Exception {
        Posts posts = new Posts();
        posts.setUser("某");
        List<Posts> posts1 = postDbDao.selectByList(posts);

        System.out.println(posts1);
    }
}
